Skip links
Arpine Maghakyan

Arpine Maghakyan

Security Researcher of RedRays.

Explicit Scope Declaration issues in BRMS-CORE, SAP security note 1667388

Description

In BRMS-CORE, there are problems with explicit scope declaration of fields,methods and classes.

Available fix and Supported packages

  • BRMS-CORE | 7.20 | 7.20
  • BRMS-CORE | 7.30 | 7.30
  • BRMS-CORE | 7.31 | 7.31
  • BRMS CORE 7.20 | SP006 | 000001
  • BRMS CORE 7.20 | SP007 | 000000
  • BRMS CORE 7.20 | SP008 | 000000
  • BRMS CORE 7.30 | SP005 | 000001
  • BRMS CORE 7.30 | SP007 | 000000
  • BRMS CORE 7.31 | SP001 | 000001
  • BRMS CORE 7.31 | SP002 | 000001
  • BRMS CORE 7.31 | SP003 | 000000

Affected component

    BC-BMT-BRM-ENG
    Rules Engine

CVSS

Score: 0

Exploit

Detailed vulnerability information added to RedRays Security Platform. Contact [email protected] for details.

URL

https://launchpad.support.sap.com/#/notes/1667388

TAGS

#Scope-Declaration

More to explorer

SAP Cloud Connector Certificate Validation Issue

Date of Release: February 13, 2024 Advisory ID: CVE-2024-25642 Affected Software: SAP Cloud Connector Versions Affected: 2.15.0 to 2.16.1 Vulnerability Summary:A critical vulnerability,

Protect Your SAP with RedRays Security Platform

Explore the Power of Our Scanner with an Interactive Prototype Below